default:
	@echo "No Default make command configured"
	@echo "Please use either"
	@echo "   - make multimc"
	@echo "     - makes a multimc compatible pack"
	@echo "   - make technic"
	@echo "     - makes a technic compatible pack"
	@echo "   - make all"
	@echo "     - makes both of the previous packs"
	@echo ""

multimc: clean
	7z d ../vanillia-multimc-1.18.zip ./* -r
	7z d ../vanillia-multimc-1.18.zip ./.* -r
	7z a ../vanillia-multimc-1.18.zip ./* -r
	7z a ../vanillia-multimc-1.18.zip ./.git -r
	7z a ../vanillia-multimc-1.18.zip ./.minecraft -r

technic: clean
	cp vanillia.icon.png icon.png
	7z d ../vanillia-technic-1.18.zip ./* -r
	7z a ../vanillia-technic-1.18.zip ./.minecraft/* -r
	7z a ../vanillia-technic-1.18.zip ./icon.png
	rm icon.png

clean:
	-rm -rf .multimc
	-rm -rf .minecraft/icon.png
	-rm -rf builds
	-rm -rf update-pack.data/temp
	-rm -rf update-pack.data/bin
	-rm -rf update-pack.data/busybox.exe
	-rm -rf ../vanillia-*.zip
	-git gc --aggressive --prune
	
all: multimc technic
